
Figure - Bug #118729
【AF】【EVT3】【Monkey】109版本Monkey测试18小时后异常停止（4+27个APK）
2023-06-10 15:50 - CD TEST-方永红

Status: CLOSED Start date: 2023-06-10

Priority: High Due date:

Assignee: CD TEST-方永红 % Done: 100%

Category: CD-FW Estimated time: 0.00 hour

Target version:

Need_Info: -- Found Version: 0109

Resolution: DUPLICATE Degrated: No

Severity: Critical Verified Version:

Reproducibility: Occasionally Fixed Version:

Test Type: ST Root cause: 与 #118345 是同件问题

Description

【执行命令】

monkey --pkg-blacklist-file /sdcard/blackList.txt --hprof --throttle 500 -s 1234567 --pct-touch 35 --pct-motion 25 --pct-appswitch 30 --pct-pinchzoom

5 --pct-trackball 0 --pct-anyevent 5 --ignore-crashes --ignore-timeouts --ignore-security-exceptions --monitor-native-crashes --ignore-native-crashes

--pct-syskeys 0 -v -v -v 32000000 2>/sdcard/error.txt 1>/sdcard/info.txt

【测试结果】

monkey异常停止，设备进入屏保

History

#1 - 2023-06-10 15:51 - CD TEST-方永红

ftp://cdiot@192.168.87.46/Pre_figure/Test_Log/118729

#2 - 2023-06-10 16:16 - CD FW 曹覃刚

- Status changed from New to RESOLVED

- Assignee changed from CD FW 曹覃刚 to CD TEST-方永红

- % Done changed from 0 to 100

- Resolution changed from -- to DUPLICATE

- Degrated changed from -- to No

- Root cause set to 与 #118345 是同件问题

与 #118345 是同件问题

06-10 15:19:08.857 15222 15222 F DEBUG   : * 

06-10 15:19:08.857 15222 15222 F DEBUG   : Build fingerprint: 'HiPhi/PassengerDisplay_CN/PassengerDisplay:12/SKQ1.220201.001/3923:user/test-keys'

06-10 15:19:08.857 15222 15222 F DEBUG   : Revision: '0'

06-10 15:19:08.857 15222 15222 F DEBUG   : ABI: 'arm64'

06-10 15:19:08.857 15222 15222 F DEBUG   : Timestamp: 2023-06-10 15:19:08.345557330+0800

06-10 15:19:08.857 15222 15222 F DEBUG   : Process uptime: 75256s

06-10 15:19:08.857 15222 15222 F DEBUG   : Cmdline: /system/bin/surfaceflinger

06-10 15:19:08.857 15222 15222 F DEBUG   : pid: 937, tid: 2843, name: Binder:937_4  >>> /system/bin/surfaceflinger <<<

06-10 15:19:08.857 15222 15222 F DEBUG   : uid: 1000

06-10 15:19:08.857 15222 15222 F DEBUG   : signal 11 (SIGSEGV), code 1 (SEGV_MAPERR), fault addr 0x4

06-10 15:19:08.857 15222 15222 F DEBUG   : Cause: null pointer dereference
06-10 15:19:08.857 15222 15222 F DEBUG   :     x0  b400007982fa1e30  x1  b4000078324c3048  x2  b4000078625f0dc0  x3  0000000000000001

06-10 15:19:08.857 15222 15222 F DEBUG   :     x4  0000000000000018  x5  b4000078e2386f94  x6  00000000ffffffff  x7  0000000000000000

06-10 15:19:08.857 15222 15222 F DEBUG   :     x8  0000000000000000  x9  0000000000000004  x10 0000000000000004  x11 0000000000000020

06-10 15:19:08.857 15222 15222 F DEBUG   :     x12 0000000000000010  x13 0000000000000000  x14 00189842affacc00  x15 0000000034155555

06-10 15:19:08.857 15222 15222 F DEBUG   :     x16 000000565af31cf8  x17 0000007b114d6dd4  x18 00000077dc002000  x19 0000000000000000

06-10 15:19:08.857 15222 15222 F DEBUG   :     x20 b4000078625f0dc0  x21 b4000078324c3048  x22 b4000078625f0da0  x23 0000007b114db484

06-10 15:19:08.858 15222 15222 F DEBUG   :     x24 b4000078625f0da0  x25 00000077de209000  x26 00000077de208ff8  x27 00000000000fc000

06-10 15:19:08.858 15222 15222 F DEBUG   :     x28 00000077de110000  x29 00000077de208990

06-10 15:19:08.858 15222 15222 F DEBUG   :     lr  000000565aaa1a58  sp  00000077de208990  pc  0000007b114d6de0  pst 0000000060001000

06-10 15:19:08.858 15222 15222 F DEBUG   : backtrace:

06-10 15:19:08.858 15222 15222 F DEBUG   :       #00 pc 000000000000ede0  /system/lib64/libutils.so (android::RefBase::incStrong(void const) const+12) (BuildId:

b940f836006eead456c936e97e64d2d4)

06-10 15:19:08.858 15222 15222 F DEBUG   :       #01 pc 000000000015ba54  /system/bin/surfaceflinger (android::SortedVector<android::sp<android::Layer>

>::do_splat(void*, void const*, unsigned long) const+80) (BuildId: 838bb083286450f126bb3963f855f34a)

06-10 15:19:08.858 15222 15222 F DEBUG   :       #02 pc 0000000000016728  /system/lib64/libutils.so (android::SortedVectorImpl::add(void const*)+224) (BuildId:

b940f836006eead456c936e97e64d2d4)

06-10 15:19:08.858 15222 15222 F DEBUG   :       #03 pc 00000000001a4d94  /system/bin/surfaceflinger (android::SurfaceFlinger::onHandleDestroyed(android::BBinder*,

android::sp<android::Layer>&)+124) (BuildId: 838bb083286450f126bb3963f855f34a)

06-10 15:19:08.858 15222 15222 F DEBUG   :       #04 pc 000000000015b83c  /system/bin/surfaceflinger (android::Layer::LayerCleaner::~LayerCleaner()+72) (BuildId:

838bb083286450f126bb3963f855f34a)

06-10 15:19:08.858 15222 15222 F DEBUG   :       #05 pc 000000000015b7c4  /system/bin/surfaceflinger (virtual thunk to android::Layer::Handle::~Handle()+76) (BuildId:

838bb083286450f126bb3963f855f34a)

06-10 15:19:08.858 15222 15222 F DEBUG   :       #06 pc 000000000000ef34  /system/lib64/libutils.so (android::RefBase::decStrong(void const*) const+116) (BuildId:

b940f836006eead456c936e97e64d2d4)

06-10 15:19:08.858 15222 15222 F DEBUG   :       #07 pc 0000000000053b84  /system/lib64/libbinder.so (android::IPCThreadState::processPendingDerefs()+136) (BuildId:

07bc4d4147790b1e0ac44f7625168f4a)

06-10 15:19:08.858 15222 15222 F DEBUG   :       #08 pc 0000000000053c90  /system/lib64/libbinder.so (android::IPCThreadState::joinThreadPool(bool)+64) (BuildId:

07bc4d4147790b1e0ac44f7625168f4a)

06-10 15:19:08.858 15222 15222 F DEBUG   :       #09 pc 0000000000080484  /system/lib64/libbinder.so (android::PoolThread::threadLoop()+28) (BuildId:

07bc4d4147790b1e0ac44f7625168f4a)

06-10 15:19:08.858 15222 15222 F DEBUG   :       #10 pc 000000000001358c  /system/lib64/libutils.so (android::Thread::_threadLoop(void*)+264) (BuildId:

b940f836006eead456c936e97e64d2d4)

06-10 15:19:08.858 15222 15222 F DEBUG   :       #11 pc 0000000000012de8  /system/lib64/libutils.so (thread_data_t::trampoline(thread_data_t const*)+408) (BuildId:

b940f836006eead456c936e97e64d2d4)

06-10 15:19:08.858 15222 15222 F DEBUG   :       #12 pc 00000000000b6a24  /apex/com.android.runtime/lib64/bionic/libc.so (_pthread_start(void*)+264) (BuildId:

369edc656806aeaf384cbeb8f7a347af)

06-10 15:19:08.858 15222 15222 F DEBUG   :       #13 pc 00000000000532bc  /apex/com.android.runtime/lib64/bionic/libc.so (_start_thread+68) (BuildId:

369edc656806aeaf384cbeb8f7a347af)

#3 - 2023-06-12 11:21 - CD TEST-方永红

- Status changed from RESOLVED to VERIFIED

#4 - 2023-06-12 11:21 - CD TEST-方永红

- Status changed from VERIFIED to CLOSED

Files

error.txt 8.11 MB 2023-06-10 CD TEST-方永红

info.txt 39.5 MB 2023-06-10 CD TEST-方永红
